Package org.apache.storm.loadgen

# Class LoadMetricsServer.Measurements

java.lang.Object
org.apache.storm.loadgen.LoadMetricsServer.Measurements

Enclosing class:
  LoadMetricsServer

public static class LoadMetricsServer.Measurements extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Measurements()`
  Default Constructor.
  `Measurements(long uptimeSecs, long acked, long timeWindow, long failed, org.HdrHistogram.Histogram histo, double userMs, double sysMs, double gcMs, long memBytes, Set<String> topologyIds, long workers, long executors, long hosts, Map<String,String> congested, long skippedMaxSpoutMs, double uiCompleteLatency)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(LoadMetricsServer.Measurements other)`
  Add other to this.
  `long`
  `endTime()`
  `long`
  `getAcked()`
  `double`
  `getAckedPerSec()`
  `long`
  `getCompleted()`
  `double`
  `getCompletedPerSec()`
  `Map<String,String>`
  `getCongested()`
  `long`
  `getExecutors()`
  `long`
  `getFailed()`
  `double`
  `getGc(TimeUnit unit)`
  `long`
  `getHosts()`
  `double`
  `getLatencyAtPercentile(double percential, TimeUnit unit)`
  `double`
  `getLatencyStdDeviation(TimeUnit unit)`
  `double`
  `getMaxLatency(TimeUnit unit)`
  `double`
  `getMeanLatency(TimeUnit unit)`
  `double`
  `getMemMb()`
  `double`
  `getMinLatency(TimeUnit unit)`
  `double`
  `getSkippedMaxSpout(TimeUnit unit)`
  `double`
  `getSysTime(TimeUnit unit)`
  `double`
  `getTimeWindow()`
  `Set<String>`
  `getTopologyIds()`
  `double`
  `getUiCompleteLatency(TimeUnit unit)`
  `long`
  `getUptimeSecs()`
  `double`
  `getUserTime(TimeUnit unit)`
  `long`
  `getWorkers()`
  `long`
  `startTime()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Measurements

    public Measurements(long uptimeSecs, long acked, long timeWindow, long failed, org.HdrHistogram.Histogram histo, double userMs, double sysMs, double gcMs, long memBytes, Set<String> topologyIds, long workers, long executors, long hosts, Map<String,String> congested, long skippedMaxSpoutMs, double uiCompleteLatency)
    Constructor.
    Parameters:
      `histo` - latency histogram.
      `userMs` - user CPU in ms.
      `sysMs` - system CPU in ms.
      `gcMs` - GC CPU in ms.

  - ### Measurements

    public Measurements()
    Default Constructor.

- ## Method Details

  - ### add

    public void add(LoadMetricsServer.Measurements other)
    Add other to this.
    Parameters:
      `other` - meaurements to add in.

  - ### getLatencyAtPercentile

    public double getLatencyAtPercentile(double percential, TimeUnit unit)

  - ### getMinLatency

    public double getMinLatency(TimeUnit unit)

  - ### getMaxLatency

    public double getMaxLatency(TimeUnit unit)

  - ### getMeanLatency

    public double getMeanLatency(TimeUnit unit)

  - ### getLatencyStdDeviation

    public double getLatencyStdDeviation(TimeUnit unit)

  - ### getUiCompleteLatency

    public double getUiCompleteLatency(TimeUnit unit)

  - ### getUserTime

    public double getUserTime(TimeUnit unit)

  - ### getSysTime

    public double getSysTime(TimeUnit unit)

  - ### getGc

    public double getGc(TimeUnit unit)

  - ### getSkippedMaxSpout

    public double getSkippedMaxSpout(TimeUnit unit)

  - ### getMemMb

    public double getMemMb()

  - ### getUptimeSecs

    public long getUptimeSecs()

  - ### getCompleted

    public long getCompleted()

  - ### getCompletedPerSec

    public double getCompletedPerSec()

  - ### getAcked

    public long getAcked()

  - ### getAckedPerSec

    public double getAckedPerSec()

  - ### getFailed

    public long getFailed()

  - ### startTime

    public long startTime()

  - ### endTime

    public long endTime()

  - ### getTimeWindow

    public double getTimeWindow()

  - ### getTopologyIds

    public Set<String> getTopologyIds()

  - ### getWorkers

    public long getWorkers()

  - ### getHosts

    public long getHosts()

  - ### getExecutors

    public long getExecutors()

  - ### getCongested

    public Map<String,String> getCongested()